.btn-wrapper {
  display: inline-block;
  margin: 0;
  box-sizing: inherit;
  z-index: 1;
  position: relative;
  width: 100%;
  height: fit-content;
}

.btn-1 {
  background-color: var(--secondary-btn-color);
  color: var(--main-text-color);
  border-color: var(--primary-btn-color);
}

[data-theme="dark"] .btn-1 {
  background: var(--tabs-bg-color);
  color: var(--main-text-color);
  border-color: var(--primary-btn-color);
}

.btn-2 {
  background-color: var(--tabs-bg-color);
  color: var(--main-text-color);
  border-color: var(--main-text-color);
}

[data-theme="dark"] .btn-2 {
  background: var(--secondary-btn-color);
  color: var(--main-text-color);
  border-color: var(--tertiary-bg-color);
}

.btn-3 {
  background-color: var(--tertiary-btn-color);
  color: var(--main-text-color);
  border-color: var(--main-text-color);
}

[data-theme="dark"] .btn-3 {
  background: var(--tertiary-btn-color);
  color: var(--main-bg-color);
  border-color: var(--tertiary-bg-color);
}

.collapasble-btn {
  width: 100px;
  padding: 10px 0;
  font-weight: 400;
  background-color: var(--tertiary-btn-color);
}

button {
  width: 100%;
  padding: 10px 25px;
  border-radius: 50px;
  border-style: none;
  box-shadow: none;
  cursor: pointer;
  outline: inherit;
  z-index: 1;
  transition:
    translate 0.3s ease,
    border 0.3s ease;
  position: relative;
  transform-style: preserve-3d;
  font-weight: 500;
}

button.active {
  cursor: default;
}

button:disabled {
  opacity: 0.3;
  cursor: default;
}

button:disabled::before,
button.active::before {
  display: none;
}

button:disabled::after,
button.active::after {
  display: none;
}

button:hover:disabled,
button.active:hover {
  translate: none;
}

@keyframes glowanim {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 300% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.btn-hover-fx::before,
.btn-hover-fx::after {
  content: "";
  background: var(--primary-gradient-shadow);
  position: absolute;
  top: 2px;
  left: 2px;
  background-size: 400%;
  width: calc(100% - 4px);
  height: calc(100% - 4px);
  z-index: -1;
  animation: glowanim 10s linear infinite;
  border-radius: 50px;
  transition:
    top 0.3s ease,
    left 0.3s ease,
    width 0.3s ease,
    height 0.3s ease,
    opacity 0.3s ease;
  overflow: hidden;
  transform: translateZ(-1px);
}

button::before {
  z-index: -1;
}

button:hover::before {
  opacity: 1;
}

button::after {
  filter: blur(20px);
  transform: translateZ(-1px);
  opacity: 0;
}

button:hover::before {
  top: -3px;
  left: -3px;
  width: calc(100% + 6px);
  height: calc(100% + 6px);
}

button:hover::after {
  top: 10px;
  opacity: 0.5;
}

.btn-hover {
  transition: filter 30ms ease-in;
}

.btn-hover:hover {
  filter: brightness(0.99);
}

/* Ecrans de taille moyenne (tablettes, PC...) */
@media screen and (min-width: 600px) {
  .btn-wrapper {
    width: fit-content;
  }
}
